Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 8073)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 8074)
@@ -21,4 +21,5 @@
 
 
+using System;
 namespace HeuristicLab.Clients.Hive.Administrator.Views {
   partial class ResourcesView {
@@ -36,4 +37,9 @@
         components.Dispose();
       }
+      HiveAdminClient.Instance.Refreshing -= new EventHandler(Instance_Refreshing);
+      HiveAdminClient.Instance.Refreshed -= new EventHandler(Instance_Refreshed);
+
+      Access.AccessClient.Instance.Refreshing -= new EventHandler(Content_Refreshing);
+      Access.AccessClient.Instance.Refreshed -= new EventHandler(Content_Refreshed);
       base.Dispose(disposing);
     }
@@ -82,6 +88,6 @@
       // splitSlaves
       // 
-      this.splitSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.splitSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.splitSlaves.Location = new System.Drawing.Point(3, 3);
@@ -159,6 +165,6 @@
       // 
       this.treeSlaveGroup.AllowDrop = true;
-      this.treeSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.treeSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.treeSlaveGroup.ImageIndex = 0;
@@ -178,6 +184,6 @@
       // tabSlaveGroup
       // 
-      this.tabSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.tabSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabSlaveGroup.Controls.Add(this.tabDetails);
@@ -204,6 +210,6 @@
       // slaveView
       // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slaveView.Caption = "SlaveView";
@@ -228,6 +234,6 @@
       // scheduleView
       // 
-      this.scheduleView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.scheduleView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.scheduleView.Caption = "ScheduleView";
@@ -265,6 +271,6 @@
       // permissionView
       // 
-      this.permissionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.permissionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.permissionView.Caption = "RefreshableLightweightUser View";
Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 8073)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 8074)
@@ -65,12 +65,4 @@
     }
 
-    public new void Dispose() {
-      HiveAdminClient.Instance.Refreshing -= new EventHandler(Instance_Refreshing);
-      HiveAdminClient.Instance.Refreshed -= new EventHandler(Instance_Refreshed);
-
-      Access.AccessClient.Instance.Refreshing -= new EventHandler(Content_Refreshing);
-      Access.AccessClient.Instance.Refreshed -= new EventHandler(Content_Refreshed);
-    }
-
     private void UpdateProgress() {
       while (!stopProgressTask) {
Index: /trunk/sources/HeuristicLab.Clients.OKB.Views/3.3/HeuristicLab.Clients.OKB.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Clients.OKB.Views/3.3/HeuristicLab.Clients.OKB.Views-3.3.csproj	(revision 8073)
+++ /trunk/sources/HeuristicLab.Clients.OKB.Views/3.3/HeuristicLab.Clients.OKB.Views-3.3.csproj	(revision 8074)
@@ -96,45 +96,67 @@
   <ItemGroup>
     <Compile Include="Administration\AdministratorMenuItem.cs" />
-    <Compile Include="Administration\Views\AdministratorView.cs" />
+    <Compile Include="Administration\Views\AdministratorView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\AdministratorView.Designer.cs">
       <DependentUpon>AdministratorView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\AlgorithmClassCollectionView.cs" />
+    <Compile Include="Administration\Views\AlgorithmClassCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\AlgorithmClassCollectionView.Designer.cs">
       <DependentUpon>AlgorithmClassCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\AlgorithmCollectionView.cs" />
+    <Compile Include="Administration\Views\AlgorithmCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\AlgorithmCollectionView.Designer.cs">
       <DependentUpon>AlgorithmCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\AlgorithmView.cs" />
+    <Compile Include="Administration\Views\AlgorithmView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\AlgorithmView.Designer.cs">
       <DependentUpon>AlgorithmView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\OKBItemCollectionView.cs" />
+    <Compile Include="Administration\Views\OKBItemCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\OKBItemCollectionView.Designer.cs">
       <DependentUpon>OKBItemCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\NamedOKBItemView.cs" />
+    <Compile Include="Administration\Views\NamedOKBItemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\NamedOKBItemView.Designer.cs">
       <DependentUpon>NamedOKBItemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\OKBItemView.cs" />
+    <Compile Include="Administration\Views\OKBItemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\OKBItemView.Designer.cs">
       <DependentUpon>OKBItemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\PlatformCollectionView.cs" />
+    <Compile Include="Administration\Views\PlatformCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\PlatformCollectionView.Designer.cs">
       <DependentUpon>PlatformCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\ProblemClassCollectionView.cs" />
+    <Compile Include="Administration\Views\ProblemClassCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\ProblemClassCollectionView.Designer.cs">
       <DependentUpon>ProblemClassCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\ProblemCollectionView.cs" />
+    <Compile Include="Administration\Views\ProblemCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\ProblemCollectionView.Designer.cs">
       <DependentUpon>ProblemCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Administration\Views\ProblemView.cs" />
+    <Compile Include="Administration\Views\ProblemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Administration\Views\ProblemView.Designer.cs">
       <DependentUpon>ProblemView.cs</DependentUpon>
@@ -142,61 +164,91 @@
     <Compile Include="Plugin.cs" />
     <Compile Include="Query\QueryMenuItem.cs" />
-    <Compile Include="Query\Views\CombinedFilterView.cs" />
+    <Compile Include="Query\Views\CombinedFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\CombinedFilterView.Designer.cs">
       <DependentUpon>CombinedFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonTimeSpanFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonTimeSpanFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonTimeSpanFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonTimeSpanFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonPercentFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonPercentFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonPercentFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonPercentFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonDateTimeFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonDateTimeFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonDateTimeFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonDateTimeFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonFloatFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonFloatFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonFloatFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonFloatFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonIntFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonIntFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonIntFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonIntFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\EqualityComparisonBoolFilterView.cs" />
+    <Compile Include="Query\Views\EqualityComparisonBoolFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\EqualityComparisonBoolFilterView.Designer.cs">
       <DependentUpon>EqualityComparisonBoolFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\EqualityComparisonFilterView.cs" />
+    <Compile Include="Query\Views\EqualityComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\EqualityComparisonFilterView.Designer.cs">
       <DependentUpon>EqualityComparisonFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\FilterView.cs" />
+    <Compile Include="Query\Views\FilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\FilterView.Designer.cs">
       <DependentUpon>FilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonDoubleFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonDoubleFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonDoubleFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonDoubleFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\OrdinalComparisonLongFilterView.cs" />
+    <Compile Include="Query\Views\OrdinalComparisonLongFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\OrdinalComparisonLongFilterView.Designer.cs">
       <DependentUpon>OrdinalComparisonLongFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\QueryView.cs" />
+    <Compile Include="Query\Views\QueryView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\QueryView.Designer.cs">
       <DependentUpon>QueryView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\StringComparisonAvailableValuesFilterView.cs" />
+    <Compile Include="Query\Views\StringComparisonAvailableValuesFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\StringComparisonAvailableValuesFilterView.Designer.cs">
       <DependentUpon>StringComparisonAvailableValuesFilterView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Query\Views\StringComparisonFilterView.cs" />
+    <Compile Include="Query\Views\StringComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="Query\Views\StringComparisonFilterView.Designer.cs">
       <DependentUpon>StringComparisonFilterView.cs</DependentUpon>
@@ -204,17 +256,25 @@
     <Compile Include="RunCreation\CreateFromExperimentMenuItem.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="RunCreation\Views\OKBAlgorithmView.cs" />
+    <Compile Include="RunCreation\Views\OKBAlgorithmView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="RunCreation\Views\OKBAlgorithmView.Designer.cs">
       <DependentUpon>OKBAlgorithmView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCreation\Views\OKBExperimentUploadView.cs" />
+    <Compile Include="RunCreation\Views\OKBExperimentUploadView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="RunCreation\Views\OKBExperimentUploadView.Designer.cs">
       <DependentUpon>OKBExperimentUploadView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCreation\Views\OKBProblemView.cs" />
+    <Compile Include="RunCreation\Views\OKBProblemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="RunCreation\Views\OKBProblemView.Designer.cs">
       <DependentUpon>OKBProblemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="RunCreation\Views\OKBRunView.cs" />
+    <Compile Include="RunCreation\Views\OKBRunView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
     <Compile Include="RunCreation\Views\OKBRunView.Designer.cs">
       <DependentUpon>OKBRunView.cs</DependentUpon>