Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveRoles.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveRoles.cs	(revision 8074)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/HiveRoles.cs	(revision 8075)
@@ -31,5 +31,4 @@
 
     public static bool CheckAdminUserPermissions() {
-      UserInformation.Instance.Refresh();
       return UserInformation.Instance.UserExists && UserInformation.Instance.User.Roles.Any(x => x.Name == HiveRoles.Administrator);
     }
Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 8074)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 8075)
@@ -40,6 +40,6 @@
       HiveAdminClient.Instance.Refreshed -= new EventHandler(Instance_Refreshed);
 
-      Access.AccessClient.Instance.Refreshing -= new EventHandler(Content_Refreshing);
-      Access.AccessClient.Instance.Refreshed -= new EventHandler(Content_Refreshed);
+      Access.AccessClient.Instance.Refreshing -= new EventHandler(AccessClient_Refreshing);
+      Access.AccessClient.Instance.Refreshed -= new EventHandler(AccessClient_Refreshed);
       base.Dispose(disposing);
     }
Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 8074)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.cs	(revision 8075)
@@ -61,6 +61,6 @@
       HiveAdminClient.Instance.Refreshed += new EventHandler(Instance_Refreshed);
 
-      Access.AccessClient.Instance.Refreshing += new EventHandler(Content_Refreshing);
-      Access.AccessClient.Instance.Refreshed += new EventHandler(Content_Refreshed);
+      Access.AccessClient.Instance.Refreshing += new EventHandler(AccessClient_Refreshing);
+      Access.AccessClient.Instance.Refreshed += new EventHandler(AccessClient_Refreshed);
     }
 
@@ -89,22 +89,22 @@
       progressTask = new TS.Task(UpdateProgress);
       progressTask.Start();
-      SetEnabledStateOfControls(false);
+      SetEnabledStateOfControls();
     }
 
     void Instance_Refreshed(object sender, EventArgs e) {
       stopProgressTask = true;
-      SetEnabledStateOfControls(true);
-    }
-
-    void Content_Refreshing(object sender, EventArgs e) {
+      SetEnabledStateOfControls();
+    }
+
+    void AccessClient_Refreshing(object sender, EventArgs e) {
       stopProgressTask = false;
       progressTask = new TS.Task(UpdateProgress);
       progressTask.Start();
-      SetEnabledStateOfControls(false);
-    }
-
-    void Content_Refreshed(object sender, EventArgs e) {
+      SetEnabledStateOfControls();
+    }
+
+    void AccessClient_Refreshed(object sender, EventArgs e) {
       stopProgressTask = true;
-      SetEnabledStateOfControls(true);
+      SetEnabledStateOfControls();
     }
 
@@ -199,22 +199,14 @@
         btnPermissionsSave.Enabled = false;
         permissionView.Enabled = false;
+        scheduleView.SetEnabledStateOfSchedule(false);
+        btnPermissionsSave.Enabled = false;
+        permissionView.Enabled = false;
       } else {
         btnAddGroup.Enabled = true;
         btnRemoveGroup.Enabled = true;
         btnSave.Enabled = true;
-      }
-    }
-
-    public virtual void SetEnabledStateOfControls(bool state) {
-      if (InvokeRequired) {
-        Invoke(new Action(() => SetEnabledStateOfControls(state)));
-      } else {
-        if (Content == null) state = false;
-        btnAddGroup.Enabled = state;
-        btnRemoveGroup.Enabled = state;
-        btnSave.Enabled = state;
-        scheduleView.SetEnabledStateOfControls(state && IsAuthorized(slaveView.Content));
-        btnPermissionsSave.Enabled = state && permissionView.FetchSelectedUsers != null && Content != null;
-        permissionView.Enabled = state && permissionView.FetchSelectedUsers != null && Content != null;
+        scheduleView.SetEnabledStateOfSchedule(IsAuthorized(slaveView.Content));
+        btnPermissionsSave.Enabled = permissionView.FetchSelectedUsers != null;
+        permissionView.Enabled = permissionView.FetchSelectedUsers != null;
       }
     }
@@ -483,5 +475,5 @@
       scheduleView.Invoke(new Action(() => {
         scheduleView.Content = HiveAdminClient.Instance.Downtimes;
-        SetEnabledStateOfControls(currentlyAuthorized);
+        SetEnabledStateOfControls();
       }));
     }
@@ -526,10 +518,10 @@
 
     private void btnPermissionsSave_Click(object sender, EventArgs e) {
-      SetEnabledStateOfControls(false);
+      SetEnabledStateOfControls();
       HiveServiceLocator.Instance.CallHiveService(service => {
         service.GrantResourcePermissions(((Resource)treeSlaveGroup.SelectedNode.Tag).Id, permissionView.GetAddedUsers().Select(x => x.Id).ToList());
         service.RevokeResourcePermissions(((Resource)treeSlaveGroup.SelectedNode.Tag).Id, permissionView.GetDeletedUsers().Select(x => x.Id).ToList());
       });
-      SetEnabledStateOfControls(true);
+      SetEnabledStateOfControls();
     }
   }
Index: /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ScheduleView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ScheduleView.cs	(revision 8074)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ScheduleView.cs	(revision 8075)
@@ -230,7 +230,7 @@
     }
 
-    public virtual void SetEnabledStateOfControls(bool state) {
+    public virtual void SetEnabledStateOfSchedule(bool state) {
       if (InvokeRequired) {
-        Invoke(new Action(() => SetEnabledStateOfControls(state)));
+        Invoke(new Action(() => SetEnabledStateOfSchedule(state)));
       } else {
         if (Content == null) state = false;