Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 8083)
@@ -1,21 +1,17 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+﻿using System.Linq;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
+using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 
 namespace HeuristicLab.Problems.NK {
-  
+
   [Item("Average Bit Binary Vector Comparer", "Compares two binary vectors by their average positive bit location")]
   [StorableClass]
   public sealed class AverageBitBinaryVectorComparer : BinaryVectorComparer {
-    
+
     [StorableConstructor]
-    protected AverageBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
-    protected AverageBitBinaryVectorComparer(AverageBitBinaryVectorComparer original, Cloner cloner)
+    private AverageBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private AverageBitBinaryVectorComparer(AverageBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) {
     }
@@ -25,11 +21,11 @@
     }
 
-    public static double AverageBit(BinaryVector x) {      
+    public static double AverageBit(BinaryVector x) {
       return x.Select((b, i) => new { b, i }).Where(v => v.b).Average(v => v.i);
     }
 
     public override int Compare(BinaryVector x, BinaryVector y) {
-      return (AverageBit(x) - AverageBit(y)).CompareTo(0);      
-    }    
-  } 
+      return (AverageBit(x) - AverageBit(y)).CompareTo(0);
+    }
+  }
 }
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 8083)
@@ -1,14 +1,10 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
+using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 
 namespace HeuristicLab.Problems.NK {
-    
+
   [Item("Lexicographic Binary Vector Comparer", "Compares two binary vectors lexicographically")]
   [StorableClass]
@@ -16,6 +12,6 @@
 
     [StorableConstructor]
-    protected LexicographicBinaryVectorComparer(bool deserializing) : base(deserializing) { }
-    protected LexicographicBinaryVectorComparer(LexicographicBinaryVectorComparer original, Cloner cloner)
+    private LexicographicBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private LexicographicBinaryVectorComparer(LexicographicBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) {
     }
@@ -26,5 +22,5 @@
 
     public override int Compare(BinaryVector x, BinaryVector y) {
-      for (int i = 0; i<Math.Min(x.Length, y.Length); i++) {
+      for (int i = 0; i < Math.Min(x.Length, y.Length); i++) {
         if (!x[i] && y[i])
           return -1;
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Problems.NK/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 8083)
@@ -1,11 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+﻿using System.Linq;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
+using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 
 namespace HeuristicLab.Problems.NK {
@@ -16,6 +12,6 @@
 
     [StorableConstructor]
-    protected MedianBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
-    protected MedianBitBinaryVectorComparer(MedianBitBinaryVectorComparer original, Cloner cloner)
+    private MedianBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private MedianBitBinaryVectorComparer(MedianBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) {
     }
@@ -26,7 +22,7 @@
 
     public static int MedianBit(BinaryVector x) {
-      var activeIndices = x.Select((b, i) => new { b, i }).Where(v => v.b).ToList();      
-      if (activeIndices.Count > 0)        
-        return activeIndices[activeIndices.Count/2].i;
+      var activeIndices = x.Select((b, i) => new { b, i }).Where(v => v.b).ToList();
+      if (activeIndices.Count > 0)
+        return activeIndices[activeIndices.Count / 2].i;
       else
         return 0;
@@ -35,4 +31,4 @@
       return MedianBit(x) - MedianBit(y);
     }
-  }  
+  }
 }