Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/Plugin.cs.frame	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/Plugin.cs.frame	(revision 8087)
@@ -26,7 +26,5 @@
   [PluginFile("HeuristicLab.HiveEngine.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Clients.Hive", "3.3")]
-  [PluginDependency("HeuristicLab.Clients.Hive.Views", "3.3")]
-  [PluginDependency("HeuristicLab.Collections", "3.3")]
-  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Clients.Hive.JobManager", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/Plugin.cs.frame	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/Plugin.cs.frame	(revision 8087)
@@ -27,10 +27,7 @@
   [PluginDependency("HeuristicLab.Clients.Hive", "3.3")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
-  [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Hive", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
-  [PluginDependency("HeuristicLab.Random", "3.3")]
   [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
   public class HeuristicLabHiveEnginePlugin : PluginBase {
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/Plugin.cs.frame	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/Plugin.cs.frame	(revision 8087)
@@ -39,6 +39,4 @@
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
-  [PluginDependency("HeuristicLab.Parameters", "3.3")]
-  [PluginDependency("HeuristicLab.Parameters.Views", "3.3")]
   [PluginDependency("HeuristicLab.Problems.MetaOptimization", "3.3")]
   [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs	(revision 8087)
@@ -210,5 +210,5 @@
       }
     }
-    public ParameterConfiguration() { }
+    protected ParameterConfiguration() { }
     [StorableConstructor]
     protected ParameterConfiguration(bool deserializing) { }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs	(revision 8087)
@@ -8,5 +8,5 @@
   [StorableClass]
   public class SingleValuedParameterConfiguration : ParameterConfiguration {
-    
+
     #region Constructors and Cloning
     [StorableConstructor]
@@ -18,5 +18,6 @@
       this.ValueConfigurations.Single().Optimize = true;
     }
-    public SingleValuedParameterConfiguration(string parameterName, IValueConfiguration valueConfiguration) {
+    public SingleValuedParameterConfiguration(string parameterName, IValueConfiguration valueConfiguration)
+      : base() {
       this.ParameterName = parameterName;
       this.parameterDataType = valueConfiguration.ActualValue.ValueDataType;
@@ -36,5 +37,4 @@
         this.IsNullable);
     }
-    public SingleValuedParameterConfiguration() { }
     protected SingleValuedParameterConfiguration(SingleValuedParameterConfiguration original, Cloner cloner)
       : base(original, cloner) {
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs	(revision 8087)
@@ -18,7 +18,6 @@
       }
     }
-    
+
     public DoubleValueRange(DoubleValue lowerBound, DoubleValue upperBound, DoubleValue stepSize) : base(lowerBound, upperBound, stepSize) { }
-    public DoubleValueRange() { }
     [StorableConstructor]
     protected DoubleValueRange(bool deserializing) : base(deserializing) { }
@@ -59,5 +58,5 @@
       double range = UpperBound.Value - LowerBound.Value;
       double diff = Math.Abs(a.Value - b.Value);
-      return Math.Max(0, (range - (diff*2)) / range);
+      return Math.Max(0, (range - (diff * 2)) / range);
     }
   }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs	(revision 8087)
@@ -1,10 +1,8 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +11,4 @@
 
     public IntValueRange(IntValue lowerBound, IntValue upperBound, IntValue stepSize) : base(lowerBound, upperBound, stepSize) { }
-    public IntValueRange() { }
     [StorableConstructor]
     protected IntValueRange(bool deserializing) : base(deserializing) { }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs	(revision 8087)
@@ -1,10 +1,8 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +11,4 @@
 
     public PercentValueRange(PercentValue lowerBound, PercentValue upperBound, PercentValue stepSize) : base(lowerBound, upperBound, stepSize) { }
-    public PercentValueRange() { }
     [StorableConstructor]
     protected PercentValueRange(bool deserializing) : base(deserializing) { }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs	(revision 8087)
@@ -86,8 +86,8 @@
     }
 
-    public Range() { }
     [StorableConstructor]
     protected Range(bool deserializing) : base(deserializing) { }
-    protected Range(Range<T> original, Cloner cloner) : base(original, cloner) {
+    protected Range(Range<T> original, Cloner cloner)
+      : base(original, cloner) {
       this.LowerBound = cloner.Clone(original.LowerBound);
       this.UpperBound = cloner.Clone(original.UpperBound);
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs	(revision 8087)
@@ -22,5 +22,4 @@
     [StorableConstructor]
     protected SymbolValueConfiguration(bool deserializing) : base(deserializing) { }
-    public SymbolValueConfiguration() : base() { }
     public SymbolValueConfiguration(Symbol symbol)
       : base() {
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Plugin.cs.frame	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Plugin.cs.frame	(revision 8087)
@@ -35,5 +35,4 @@
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
-  [PluginDependency("HeuristicLab.Encodings.BinaryVectorEncoding", "3.3")]
   [PluginDependency("HeuristicLab.Encodings.IntegerVectorEncoding", "3.3")]
   [PluginDependency("HeuristicLab.Encodings.RealVectorEncoding", "3.3")]
@@ -45,8 +44,6 @@
   [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
   [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic", "3.4")]
-  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic.Regression", "3.4")]
   [PluginDependency("HeuristicLab.Problems.TestFunctions", "3.3")]
   [PluginDependency("HeuristicLab.Random", "3.3")]
-  [PluginDependency("HeuristicLab.Selection", "3.3")]
   [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
   public class HeuristicLabProblemsMetaOptimizationPlugin : PluginBase {
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs	(revision 8086)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs	(revision 8087)
@@ -59,4 +59,5 @@
 
     public override string ToString() {
+      if (value == null) return "No Type information";
       return value.Name;
     }