Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs	(revision 8099)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.Designer.cs	(revision 8100)
@@ -26,9 +26,5 @@
       ((System.ComponentModel.ISupportInitialize)(this.chart)).BeginInit();
       this.SuspendLayout();
-      // 
-      // chart
-      // 
-      this.chart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
-      // 
+      //
       // SymbolicRegressionSolutionErrorCharacteristicsCurveView
       // 
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8099)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8100)
@@ -23,5 +23,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.MainForm;
@@ -73,5 +72,5 @@
       foreach (var variable in usedVariables) {
         problemData.InputVariables.SetItemCheckedState(
-          problemData.InputVariables.Where(x => x.Value == variable).First(), true);
+          problemData.InputVariables.First(x => x.Value == variable), true);
       }
 
@@ -90,13 +89,4 @@
       base.Content_ProblemDataChanged(sender, e);
     }
-
-    private void chart_MouseDown(object sender, MouseEventArgs e) {
-      if (e.Clicks < 2) return;
-      HitTestResult result = chart.HitTest(e.X, e.Y);
-      if (result.ChartElementType != ChartElementType.LegendItem) return;
-      if (result.Series.Name != linearRegressionSolution.Name) return;
-
-      MainFormManager.MainForm.ShowContent((IRegressionSolution)result.Series.Tag);
-    }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8099)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs	(revision 8100)
@@ -26,5 +26,4 @@
 using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
@@ -32,5 +31,4 @@
   [Content(typeof(IRegressionSolution))]
   public partial class RegressionSolutionErrorCharacteristicsCurveView : DataAnalysisSolutionEvaluationView {
-    private IRegressionSolution constantModel;
     protected const string TrainingSamples = "Training";
     protected const string TestSamples = "Test";
@@ -103,6 +101,6 @@
       if (Content == null) return;
 
+      var constantModel = CreateConstantModel();
       var originalValues = GetOriginalValues().ToList();
-      constantModel = CreateConstantModel();
       var baselineEstimatedValues = GetEstimatedValues(constantModel);
       var baselineResiduals = GetResiduals(originalValues, baselineEstimatedValues);
@@ -201,9 +199,4 @@
     }
 
-    protected IEnumerable<double> GetbaselineEstimatedValues(IEnumerable<double> originalValues) {
-      double averageTrainingTarget = ProblemData.Dataset.GetDoubleValues(ProblemData.TargetVariable, ProblemData.TrainingIndizes).Average();
-      return Enumerable.Repeat(averageTrainingTarget, originalValues.Count());
-    }
-
     protected virtual List<double> GetResiduals(IEnumerable<double> originalValues, IEnumerable<double> estimatedValues) {
       return originalValues.Zip(estimatedValues, (x, y) => Math.Abs(x - y)).ToList();